package com.hxhq.business.enums.zykgl;

/**
 * 是否同意修改：1：拒绝编辑；10：同意编辑
 * @author tanfei
 */
public enum ShbjEnum {

    /**
     * 拒绝编辑
     */
    jj(1, "拒绝编辑"),

    /**
     * 同意编辑
     */
    ty(10, "同意编辑");

    private int value;
    private String text;

    ShbjEnum(int value, String text) {
        this.value = value;
        this.text = text;
    }

    public int getValue() {
        return value;
    }

    public void setValue(int value) {
        this.value = value;
    }

    public String getText() {
        return text;
    }

    public void setText(String text) {
        this.text = text;
    }

    public static ShbjEnum getEnumByValue(int type) {
        for (ShbjEnum bt : values()) {
            if (bt.value == type) {
                return bt;
            }
        }
        return null;
    }
}
